tails-installer (5.0.12+dfsg-0tails1) bugfix-15166-installer-crash; urgency=medium

  [ kurono ]
  * Fix crash when reporting errors that contain non-ASCII chars
    (Closes: Tails#15166).

  [ xin ]
  * Update French translation.

  [ intrigeri ]
  * Update POT and PO files.

 -- intrigeri <intrigeri@boum.org>  Sat, 20 Oct 2018 10:35:31 +0000

tails-installer (5.0.11+dfsg-0tails1) feature-11501-install-verbs-instead-yes-no; urgency=medium

  [ kurono ]
  * Use verbs for confirmation dialog buttons instead of Yes/No
    (Closes: Tails#11501).

  [ intrigeri ]
  * Import PO files from Transifex.
  * Update POT and PO files.

 -- intrigeri <intrigeri@boum.org>  Wed, 17 Oct 2018 11:13:07 +0000

tails-installer (5.0.10+dfsg-0tails1) testing; urgency=medium

  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 04 Sep 2018 07:38:31 +0000

tails-installer (5.0.9+dfsg-0tails1) devel; urgency=medium

  * Link to upgrade documentation when upgrading (Closes: Tails#7904).
  * Show the reinstall option only when the device is big enough to make
    a full reinstallation (Closes: Tails#14810).
  * Make the main window fit in a 600px-high screen (Closes: Tails#14849).
  * Show the correct device size in the reinstall confirmation dialog
    (Closes: Tails#15590).
  * Fix self.opts.partition vs. self.force_reinstall semantics
    (Closes: Tails#14720).

 -- Tails developers <tails@boum.org>  Thu, 16 Aug 2018 09:43:25 +0000

tails-installer (5.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Ulrike Uhlig <ulrike@debian.org>  Thu, 28 Jun 2018 09:28:16 +0200

tails-installer (5.0.8+dfsg-0tails1) stable; urgency=medium

  [ Ulrike Uhlig ]
  * Drop dependency on e2fsprogs: it is an essential package.
  * Link to updated installation instructions on the Tails website.
  * Install AppData file in the correct location.
  * Drop obsolete XS-Python-Version control field.
  * Declare compatibility with Standards-Version 4.1.4.

  [ intrigeri ]
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Mon, 25 Jun 2018 07:35:49 +0000

tails-installer (5.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Ulrike Uhlig <ulrike@debian.org>  Tue, 08 May 2018 13:07:21 +0200

tails-installer (5.0.7+dfsg-0tails1) stable; urgency=medium

  [ intrigeri ]
  * Rescan the device between setting partition flags and setting partition
    type (refs: Tails#15432)

  [ bertagaz ]
  * Import PO files from Transifex, update POT and PO files.

 -- bertagaz <bertagaz@ptitcanardnoir.org>  Mon, 07 May 2018 20:05:56 +0200

tails-installer (5.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Ulrike Uhlig <ulrike@debian.org>  Thu, 12 Apr 2018 11:25:48 +0200

tails-installer (5.0.6+dfsg-0tails1) bug-15031-isohybrid-by-cloning-often-fails; urgency=medium

  [ kurono ]
  * Be more robust when installing to a device that previously had
    an hybrid ISO copied to it (Closes: Tails#15031)

  [ Ulrike Uhlig ]
  * Link to up-to-date online packaging instructions instead of duplicating
    them in the source package.
  * Point Vcs-* control fields to Salsa.

  [ intrigeri ]
  * Update POT and PO files.
  * Set up gbp for Tails packaging branches & tags.

 -- intrigeri <intrigeri@boum.org>  Wed, 11 Apr 2018 13:08:17 +0000

tails-installer (5.0.5+dfsg-0tails1) testing; urgency=medium

  [ sajolida ]
  * Remove duplicated text (refs: Tails#15105)

  [ xin ]
  * [fr] update translation

  [ anonym ]
  * Support unicode strings in TailsInstallerWindow.status().
  * Improve status()' error reporting.
  * Translate to UTF-8 encoded strings everywhere.
  * Compare radio button labels against translated strings.

  [ bertagaz ]
  * Import PO files from Transifex, update POT and PO files.

 -- bertagaz <bertagaz@ptitcanardnoir.org>  Thu, 01 Mar 2018 19:57:49 +0100

tails-installer (5.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #887248)

 -- Ulrike Uhlig <ulrike@debian.org>  Sat, 03 Feb 2018 17:02:07 +0100

tails-installer (5.0.4+dfsg-0tails1) stable; urgency=medium

  * Remove the download→enabled config option.
  * Drop OLPC "support".
  * Skip devices too small for cloning, but inform the user (refs:
    Tails#14622)
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 22 Jan 2018 14:59:46 +0100

tails-installer (5.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #878040).
  * Update README.source.

 -- Ulrike Uhlig <ulrike@debian.org>  Thu, 23 Nov 2017 11:15:44 +0100

tails-installer (5.0.2+dfsg-0tails1) bugfix-14755-installer-consistent-drive-plugging-state; urgency=medium

  [ kurono ]
  * Give "on_radio_changed" method a more informative name:
    "on_radio_button_source_iso_toggled". Solves Feature Tails#14721.
  * Define is_ISO_selected method as predicate. Fixes Bug Tails#14722.
  * Give a more appropiate name to device_with_persistence. Implments
    Feature Tails#14723.

  [ xin ]
  * [fr] update translation

  [ intrigeri ]
  * Drop obsolete code that breaks UEFI boot on sticks installed with
    recent Debian testing/sid (refs: Tails#14809).
  * Set the partition type again after settings its flags (refs:
    Tails#14809).
  * Import bugfix/14809-partition-type-and-flags-with-recent-udisks at
    commit d9b284a as quilt patches (refs: Tails#14809).
  * Reference upstream issue (refs: Tails#14809).

  [ anonym ]
  * Apply awful hack to fix Tails#14755.
  * Import PO files from Transifex, update POT and PO files.
  * Drop all patches since they were applied upstream.

 -- anonym <anonym@riseup.net>  Fri, 10 Nov 2017 16:02:49 +0100

tails-installer (5.0.1+dfsg-0tails1) feature-8860-tails-installer-improvements; urgency=medium

  * Temporarily disable command-line options parsing.
  * Re-introduce a manpage and, because of it, revert "Drop
    debian/tails-installer.manpages."
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 25 Sep 2017 14:37:22 +0200

tails-installer (5.0+dfsg-0tails1) feature-8860-tails-installer-improvements; urgency=medium

  [ anonym ]
  * Import translations from Transifex, update POT and PO files.
  * Improve "catch exception + retry" code.
  * Drop CLI support and drop the man-page; the GUI is the only
    supported method.
  * Update Debian packaging for the removal of the splash screen, the
    dropped manpage, and the move to version 5.x.

  [ intrigeri ]
  * Remove embedded copy of urlgrabber, and all usage thereof.
  * Bump the device size requirements and system partition size for
    new installations (refs: Tails#12707).

  [ Ulrike Uhlig ]
  * Test if the drive has a partition at all to avoid crash.

  [ AtomiKe ]
  * Update translation

  [ kurono ]
  * Get rid of the Tails Installer splash screen. The main application
    is now "modeless" and can do any install/upgrade operation.
  * Detect when Tails is installed and when a persistent partition is
    present. Use this to auto-detect which operations are possible,
    and inform the user what they imply for any persistent partition.
  * Add links to the user documentation in the main application.
  * Make tails installer file chooser remember the last directory, and
    add a filter to remember the last isos used, not all the files
    used by other apps.

 -- anonym <anonym@riseup.net>  Sat, 23 Sep 2017 13:02:44 +0200

tails-installer (4.4.18+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ulrike Uhlig <ulrike@debian.org>  Tue, 04 Jul 2017 17:21:59 +0200

tails-installer (4.4.18+dfsg-0tails1) bugfix-12696-too-strict-removable-check; urgency=medium

  [ Tails developers ]
  * Update PO files.

 -- bertagaz <bertagaz@ptitcanardnoir.org>  Fri, 30 Jun 2017 13:17:22 +0200

tails-installer (4.4.17+dfsg-0tails1) stable; urgency=medium

  [ xin ]
  * [fr] update translation

  [ Ulrike Uhlig ]
  * Change URL to point to Tails homepage Tails#12688

  [ intrigeri ]
  * Use the Removable UDisks2 property instead of the MediaRemovable one (refs: #12696).

  [ bertagaz ]
  * Update POT and PO files.

 -- bertagaz <bertagaz@ptitcanardnoir.org>  Wed, 28 Jun 2017 11:50:14 +0200

tails-installer (4.4.16+dfsg-0tails1) testing; urgency=medium

  * Merge packaging improvements from the debian/sid branch.
  * Update POT and PO files.
  * Import updated translations from Transifex.

 -- intrigeri <intrigeri@boum.org>  Sat, 10 Jun 2017 05:54:20 +0000

tails-installer (4.4.15+dfsg-0tails2) testing; urgency=medium

  [ sajolida ]
  * Document how to hack on Tails Installer from inside Tails (#12344)

  [ intrigeri ]
  * Glade UI definition: set a translation domain for GtkBuilder (refs: #12588).
  * Drop support for po/locale directory.

  [ AtomiKe ]
  * [fr] update translation

  [ xin ]
  * [fr] improve translation

  [ anonym ]
  * Update POT and PO files.

 -- anonym <anonym@riseup.net>  Fri, 09 Jun 2017 17:51:22 +0200

tails-installer (4.4.14+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Ulrike Uhlig <u@451f.org>  Thu, 25 May 2017 20:41:50 +0200

tails-installer (4.4.14+dfsg-0tails2) bugfix-10731-lists-non-removable-devices; urgency=medium

  [ kurono ]
  * Don't allow attempting to install on non-removable USB sticks
    (Closes: Tails#10731).

 -- intrigeri <intrigeri@boum.org>  Wed, 24 May 2017 15:12:34 +0000

tails-installer (4.4.14+dfsg-0tails1) feature-stretch; urgency=medium

  [ Ulrike Uhlig ]
  * Debian packaging Git repository now lives on Alioth.
  * Bump standards version.

  [ Muri Nicanor ]
  * Added an AppStream metadata file
  * Add the AppStream metadata file to the files to be installed on linux

  [ sajolida ]
  * Use our usual copyright line
  * Copy description from Debian package
  * Fix typo
  * If this is meant for users, then the general Tails homepage makes more sense
  * This is an optional contact address for distributors (and not users)
  * Use our usual name

  [ intrigeri ]
  * AppStream metadata: drop project_group tag with invalid value.
  * AppStream metadata: reformat description to make `appstream-util validate' happy.
  * AppStream metadata: add <translation> tag.

  [ anonym ]
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Sat, 20 May 2017 10:52:25 +0200

tails-installer (4.4.13+dfsg-1) unstable; urgency=medium

  * New upstream version.
   - Remove obsolete extlinux code (Closes: #813537).
   - debian/control: Add udisks2 as a dependency (Closes: #813539).

 -- Ulrike Uhlig <u@451f.org>  Wed, 19 Apr 2017 16:45:43 +0200

tails-installer (4.4.13+dfsg-0tails1) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Thu, 06 Apr 2017 20:46:35 +0200

tails-installer (4.4.12+dfsg-0tails1) testing; urgency=medium

  * [fr] update translation
  * Drop unused code invoking extlinux. We use the syslinux binary from the ISO and installing on extN is not supported for Tails anyway. will-fix: #11196
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Thu, 12 Jan 2017 15:56:42 +0100

tails-installer (4.4.11+dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #814489)
  * Added debian/README.source.
  * debian/control: update to new standards version.
  * debian/source/lintian-overrides: delete unused override.

 -- Ulrike Uhlig <u@451f.org>  Thu, 17 Nov 2016 21:48:39 +0100

tails-installer (4.4.11+dfsg-0tails1) devel; urgency=medium

  * Remove call_set_name_sync invocation that seems useless, and sometimes breaks (at least on Jenkins).
  * WIP: try to get a fresh system_partition object after changing its type.
  * WIP: block until UDisks client has settled.
  * WIP: give the system some more time to recognize the updated partition after changing its flags.
  * Send all enabled logging output to the log file (in addition to stderr).
  * Include date/time in log messages.
  * Document that #10987 also happens in _set_partition_flags.
  * Refactor duplicated code into a function.
  * Refactor duplicated code into a function.
  * partition_device: always ask udisks to give us an new object.
  * Clarify comments about workarounds.
  * Logging: don't display in the GUI error the output from commands that are allowed to fail.
  * Don't try to call underlying_physical_device unless running from Tails.
  * Remove reference to an unexisting button
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Fri, 02 Sep 2016 15:22:54 +0200

tails-installer (4.4.10+dfsg-0tails1) testing; urgency=medium

  * Update POT and PO files.

 -- anonym <anonym@riseup.net>  Sun, 05 Jun 2016 19:28:31 +0200

tails-installer (4.4.9+dfsg-0tails1) stable; urgency=medium

  * [fr] fixes
  * [fr] Could not find syslinux' gptmbr.bin
  * Update error message to match new name of 'Clone & Install'
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Sun, 24 Apr 2016 16:25:01 +0200

tails-installer (4.4.8+dfsg-0tails1) testing; urgency=medium

  * Add missing dependency on dosfstools.
  * Correct debian/changelog
  * Replace inline XXX with a link to a ticket.
  * Add link to ticket.
  * Update translation
  * [fr] Review of 23f49d0 - Update translation
  * [fr] remove linebreak
  * Add missing dependency on syslinux-common (Closes: Debian#814489).
  * Add additional syslinux paths
  * Add missing dependency on udisks2.
  * Update POT and import PO files from Transifex.
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 07 Mar 2016 17:36:32 +0100

tails-installer (4.4.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add missing dependency on dosfstools.

 -- Ulrike Uhlig <u@451f.org>  Wed, 20 Jan 2016 23:41:17 +0100

tails-installer (4.4.7+dfsg-0tails1) devel; urgency=medium

  * Change Tails installer wording.
  * ran make gui with new Tails installer wording
  * use GNOME HIG for text size
  * use GNOME HIG for text size, ran make gui
  * Update wording for tails/wheezy.
  * Run make gui.
  * Add missing dependency on p7zip-full.
  * [fr] Updating the french translation
  * Change the translation of the word key to be consistent with the documentation
  * Remove buggy PO files.
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 11 Jan 2016 20:11:04 +0100

tails-installer (4.4.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add missing dependency on p7zip-full.
  * Upload to unstable.

 -- intrigeri <intrigeri@debian.org>  Fri, 01 Jan 2016 10:28:50 +0000

tails-installer (4.4.6+dfsg-0tails1) feature-jessie; urgency=medium

  * New upstream release:
    - Don't crash in upgrade mode when an non-partitioned drive is present
      (Closes: Tails#10660).

 -- intrigeri <intrigeri@boum.org>  Wed, 02 Dec 2015 11:25:01 +0000

tails-installer (4.4.5+dfsg-1) experimental; urgency=medium

  * Team upload.

 -- intrigeri <intrigeri@debian.org>  Sun, 29 Nov 2015 18:32:51 +0000

tails-installer (4.4.5+dfsg-0tails1) feature-jessie; urgency=medium

  * New upstream release:
    - Remove embedded copy of urlgrabber, and all usage thereof.
    - Update POT and PO files.
  * Improve phrasing of the long description.

 -- intrigeri <intrigeri@boum.org>  Sun, 29 Nov 2015 18:22:38 +0000

tails-installer (4.4.4+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Initial upload to Debian (Closes: #781583).
  * Improve phrasing of the long description.

 -- intrigeri <intrigeri@debian.org>  Wed, 25 Nov 2015 17:03:46 +0000

tails-installer (4.4.4+dfsg-0tails2) feature-jessie; urgency=medium

  * Make patch description DEP-3 compliant.
  * Add missing epoch to versioned dependency on syslinux.

 -- intrigeri <intrigeri@boum.org>  Wed, 25 Nov 2015 10:58:20 +0000

tails-installer (4.4.4+dfsg-0tails1) feature-jessie; urgency=medium

  [ Ulrike Uhlig ]
  * Revert wrong verification of device label
  * Fix Tails#10581 Tails#10539 get partition label from udisks2

 -- Ulrike Uhlig <u@451f.org>  Thu, 19 Nov 2015 17:09:47 +0100

tails-installer (4.4.3+dfsg-1) UNRELEASED; urgency=medium

  * debian/{rules,patches}: Treat tails-installer as helper
    (Closes Tails#10538)

 -- Ulrike Uhlig <u@451f.org>  Thu, 19 Nov 2015 13:08:02 +0100

tails-installer (4.4.3+dfsg-0tails2) feature-jessie; urgency=medium

  * debian/{rules,patches}: Treat tails-installer as helper
    (Closes Tails#10538)

 -- Ulrike Uhlig <u@451f.org>  Thu, 19 Nov 2015 12:49:02 +0100

tails-installer (4.4.3+dfsg-0tails1) feature-jessie; urgency=medium

  [ intrigeri ]
  * Update homepage URL.
  * Fix method name.
  * Fix method invocation syntax.

  [ Ulrike Uhlig ]
  * debian/control: update maintainer and uploaders
  * Update POT and PO files.
  * correctly verify the label of the device that shall be upgraded

  [ Alan ]
  * Restore relief around install button
  * Remove buggy lines in launcher UI definition
  * Fix launcher window width

 -- Ulrike Uhlig <u@451f.org>  Thu, 19 Nov 2015 11:02:31 +0100

tails-installer (4.4.2+dfsg-1) UNRELEASED; urgency=medium

  * debian/{control,copyright}: update upstream homepage URL.
  * Re-introduce dependency on gdisk. It ships sgdisk, that we do need.

 -- intrigeri <intrigeri@boum.org>  Thu, 12 Nov 2015 10:39:18 +0000

tails-installer (4.4.2+dfsg-0tails2) feature-jessie; urgency=medium

  * debian/{control,copyright}: update upstream homepage URL.
  * Re-introduce dependency on gdisk. It ships sgdisk, that we do need.

 -- intrigeri <intrigeri@boum.org>  Thu, 12 Nov 2015 10:39:18 +0000

tails-installer (4.4.2+dfsg-0tails1) feature-jessie; urgency=medium

  [ Ulrike Uhlig ]
  * Tails#10374 drop dependency on isomd5sum
  * Update Debian changelog

  [ intrigeri ]
  * Delete trailing whitespace.
  * debian/copyright: update upstream copyright years.
  * debian/copyright: bump copyright years for the packaging.
  * Delete leftovers of the hybrid MBR dance.
  * Explicitly require specific versions of the UDisks and Gtk GIR.
  * Decode output of 7z.
  * Update maintainer and homepage in setup.py.
  * Update POT and PO files.
  * Update translation, in order to test a bugfix.

 -- Ulrike Uhlig <u@451f.org>  Tue, 10 Nov 2015 17:12:19 +0100

tails-installer (4.4.1+dfsg-0tails1) feature-jessie; urgency=medium

  * Release as tails-installer.

  [ Tails developers ]
  * Feature 5623: Installer should refuse empty device
  * feature/5623: include iso9660 and console mode error.
  * Feature 5623: Add function to check if we run on Tails currently
  * Feature 5623: exclude devices without a tails installation.
  * Bug/9886 remove exception on small device

  [ intrigeri ]
  * Don't use a predictable file name for the subprocess error log
    (Closes: Tails#9349)
  * Rename device_can_upgrade method to device_can_be_upgraded, which
     expresses its function better.
  * Delete the log file on exit, if it's empty.
  * Adjust .gitignore accordingly to files having been renamed.
  * Configure gbp to create tags in the tails/* namespace for Tails packaging.
  * gbp: don't embed the package name in generated tags.
  * Drop support for checking MD5 checksum embedded in ISO.
  * Import PO files from Transifex.

  [ anonym ]
  * Import PO files from Transifex.

  [ u ]
  * Correct link to documentation
  * Adding license information
  * Do not require GTK 3.14. We do not need it and it's not in current
    Ubuntu stable.
  * Rename liveusb-creator to Tails Installer

 -- Ulrike Uhlig <u@451f.org>  Tue, 10 Nov 2015 08:53:52 +0100

liveusb-creator (4.3.1+dfsg-1) UNRELEASED; urgency=medium

  * Adjust gbp.conf for Debian sid.

 -- intrigeri <intrigeri@debian.org>  Fri, 02 Oct 2015 21:53:56 +0000

liveusb-creator (4.3.1+dfsg-0tails1) feature-jessie; urgency=medium

  * Add syslinux and policykit-1 as dependencies.
  * debian/rules: generate liveusb-creator-launcher's manpage.
  * Add Lintian override for debian/watch.
  * Drop Recommends on extlinux: Tails does not support booting
    from extN filesystems.
  * Long description: take into account that upstream does not explicitly
    support using Tails on SD cards anymore.
  * debian/control: update upstream Homepage control field.
  * Use HTTPS in Vcs-* control fields.
  * Import new upstream releases 4.3 and 4.3.1:
    - Apply new wording to GTK port and adapt UI accordingly
    - Improve launcher layout
    - Use translatable keyword for glade files.
    - When not running from Tails, use syslinux from the currently running
      system. When running on Tails, always use the 32-bit syslinux binary
      included in the ISO image, when upgrading from ISO.
    - Remove duplicate and obsolete translation system.
    - Finish updating i18n system for Gtk migration.
    - Remove obsolete po/locale/ from .gitignore.
    - Set windows title to "Tails Installer".
    - "chmod -x" data files that have no good reason to be executable.
    - liveusb-creator-launcher.desktop: add Keywords entry.

 -- intrigeri <intrigeri@debian.org>  Fri, 02 Oct 2015 20:26:19 +0000

liveusb-creator (4.2+dfsg-0tails1) feature-jessie; urgency=medium

  [ u ]
  * add separate button for documentation outside of tails
  * Revert "add separate button for documentation outside of tails"
  * delete unused icons Remove pyqt4 dependency

  [ Tails developers ]
  * Feature 9130: Tails Installer should notify when too small USB drives are
  * not listed Feature 9130: exclude small devices from the dropdown list.
  * Feature 9130: perfom minor format improvements Feature 9130: create an
  * improved alert message and raise an exception.

  [ Alan ]
  * Remove overlay-related GUI Port to GTK3 Fix: reintroduce the drive monitor
  * Pulse the progressbar when no guess can be made

  [ intrigeri ]
  * Update build and runtime dependencies wrt. the port to GTK: drop Qt-related
  * ones, add intltool (build) and gir1.2-gtk-3.0 (runtime).  debian/rules:
  * don't run `make mo' by hand, DistUtilsExtra supposedly handles it in
  * setup.py now.  Be stricter when looking at the script path's first
  * component.  Be stricter when looking for a local 'data' directory.
  * _get_datadir: consistently return a directory path without a trailing
  * slash.  Revert "Pulse the progressbar when no guess can be made" setup.py:
  * disable installing deleted icon on Windows.

 -- Ulrike Uhlig <u@451f.org>  Sun, 27 Sep 2015 12:01:27 +0200

liveusb-creator (4.1+dfsg-0tails1) feature-jessie; urgency=medium

  [ intrigeri ]
  * Fix resetting of MBR when upgrading: write to the parent device, not to the
  * system partition.

 -- Ulrike Uhlig <u@451f.org>  Mon, 06 Jul 2015 17:11:40 +0200

liveusb-creator (4.0+dfsg-0tails1) feature-jessie; urgency=medium

  * Release liveusb-creator as tails-installer.

  [ u ]
  * debian/changelog: closed bugs refer to Tails bugs, not Debian bugs. Mark
  * them as such.  debian/control: Add dependency on python-configobj.  Don't
  * version build-dependency on python-distutils-extra.  Add missing dependency
  * on mtools.  Add missing dependency on gdisk Recommend extlinux instead of
  * depending on it.  Build-depend on python rather than python-dev.  Add
  * missing dependency on genisoimage, that provides the isoinfo program.  Add
  * Homepage, Vcs-Git and Vcs-Browser control fields.  use recent standard
  * version in debian/control remove dependency on syslinux, as this executable
  * is shipped within the Tails ISO and thus not needed here.  debian/copyright:
  * modify copyright format to be lintian compliant. extend copyright period to
  * 2015 modify debian/control to reflect better what this tool does.  Addi
  * license information for usb-creator icon.  bump compat to 9, as we now
  * depend on debhelper > 9.  debian/rules: Build-depend on debhelper (>=9).
  * switch to source format 3.0 (quilt).  Add manpage for
  * liveusb-creator-launcher.  Update package description switch pristine-tar to
  * true

  [ intrigeri ]
  * debian/control: Update dependencies to support the move to GIR.  Remove
  * build and runtime dependency on python-qt4-dbus: we don't use D-Bus
  * ourselves anymore.  Add gbp.conf & adjust it to make it easier to work on
  * the Jessie branches.  Override some Lintian false positives.  Move binary
  * Lintian override where it belongs.  Drop confusing overloaded implementation
  * of partition_device().  Set system partition flags with udisks.  Add yet
  * another sync+sleep to try and workaround yet another race condition, this
  * time when resetting the MBR immediately after unmounting the target device.

 -- Ulrike Uhlig <u@451f.org>  Mon, 06 Jul 2015 14:52:13 +0200

liveusb-creator (3.11.6+tails1-18+jessie3) feature-jessie; urgency=medium

  [ intrigeri ]
  * Remove TODO: this was tried, and doesn't work.
  * Wrap text in the status log area.
  * Merge feature/gtk3 (Closes: Tails#8980)

  [ u ]
  * Indicate in ChangeLog that recent history is versioned in the new,
    forked upstream repository.

 -- intrigeri <intrigeri@boum.org>  Sat, 11 Jul 2015 17:27:08 +0200

liveusb-creator (3.11.6+tails1-18+jessie2+gtk3~4.gbp5abb19) feature-8980-gtk3-installer; urgency=medium

  ** SNAPSHOT build @5abb19d3216ed59d79e58e634f53ed7540589159 **

  [ u ]
  * Delete unused images, and update MANIFEST accordingly.
  * Delete .spec file: it's awfully outdated, and we have no plans
    to package Tails Installer for RPM-based distros yet.
  * Use tails-liveusb-header image also for fedora.ini. If we deliver
    the package in Fedora one day, it would be in order to install Tails.

  [ intrigeri ]
  * setup.py: disable installing deleted icon on Windows.

 -- intrigeri <intrigeri@boum.org>  Mon, 06 Jul 2015 15:02:09 +0200

liveusb-creator (3.11.6+tails1-18+jessie2+gtk3~3.gbp68acad) feature-8980-gtk3-installer; urgency=medium

  ** SNAPSHOT build @68acad28886ccc73b27a27bbb12319b64ab447e9 **

  [ u ]
  * Update manpage: one may specify a path to an ISO file.

  [ intrigeri ]
  * Fix resetting of MBR when upgrading: write to the parent device,
    not to the system partition.

 -- intrigeri <intrigeri@boum.org>  Mon, 06 Jul 2015 14:56:37 +0200

liveusb-creator (3.11.6+tails1-18+jessie2+gtk3~2.gbpd69530) feature-8980-gtk3-installer; urgency=medium

  ** SNAPSHOT build @d695309f2470bc14850bcfe344f25c8b23bfe7f7 **

  [ Alan ]
  * Fix the log view editability and margins.
  * Make the infobar closable.
  * Scroll the log view to always display the last entry.
  * Remove unused signal handler
  * More reliable datadir guessing.
  * Also write traceback to log file.

  [ intrigeri ]
  * Be stricter when looking at the script path's first component.
  * Be stricter when looking for a local 'data' directory.
  * _get_datadir: consistently return a directory path without a trailing slash.
  * Fix comment: _set_partition_flags uses sgdisk, not gdisk.
  * Fix using locally compiled locales from the po/locales directory,
    when running from a Git checkout.
  * Drop duplicate encoding of command.
  * Add a unicode_to_filesystemencoding utility function.
  * write_log: return a Unicode (decoded) string, instead of an byte string.
  * popen: consistently use encoded/decoded strings depending on whether
    we're at an I/O boundary.
  * Force stringification of caught exception to Unicode.
  * Teach Git to ignore the generated files in po/locale/.
  * Drop confusing overloaded implementation of partition_device().
  * Set system partition flags with udisks.
  * Add yet another sync+sleep to try and workaround yet another race condition,
    this time when resetting the MBR immediately after unmounting
    the target device.

 -- intrigeri <intrigeri@boum.org>  Sun, 05 Jul 2015 19:24:46 +0200

liveusb-creator (3.11.6+tails1-18+jessie2+gtk3~1.gbpdaf9ce) feature-8980-gtk3-installer; urgency=medium

  ** SNAPSHOT build @daf9cefb5d9721c8cbfc774768744b781f8b8879 **

  [ Alan ]
  * Port to GTK3.
  * Update setup system for Gtk migration.
  * Remove unused Qt generated files.
  * Use InfoBar when appropriate.

  [ intrigeri ]
  * Grammar fixes in newly introduced strings.
  * Make infobar titles consistent: no trailing period.
  * Update build and runtime dependencies wrt. the port to GTK:
    drop Qt-related ones, add intltool (build) and gir1.2-gtk-3.0 (runtime).
  * debian/rules: don't run `make mo' by hand, DistUtilsExtra supposedly
    handles it in setup.py now.

 -- intrigeri <intrigeri@boum.org>  Sat, 04 Jul 2015 20:09:30 +0200

liveusb-creator (3.11.6+tails1-18+jessie2) feature-jessie; urgency=medium

  * Fix path to /etc/dpkg/origins/Tails, otherwise the launcher
    won't ever believe we're running on Tails.

 -- intrigeri <intrigeri@boum.org>  Sat, 04 Jul 2015 19:56:39 +0200

liveusb-creator (3.11.6+tails1-18+jessie1) feature-jessie; urgency=medium

  [ intrigeri ]
  * Update POT, and import PO files from Transifex.
  * Remove buggy Turkish translation.
  * Add more ugly manual sleep and sync back, to help fix race conditions.
  * Create filesystem with udisks instead of mkfs.vfat.
  * Reset the MBR using an open file descriptor provided by udisks.
  * Drop the {create,remove}_hybrid_mbr() dance.

  [ u ]
  * Add support for install from ISO.
  * Create a launcher that works on (non-Tails) Debian-based systems.
  * Make text appearance compatible with GNOME HIG.
  * Fix checking for 64-bit architecture, and the corresponding bootloader
    installation.

  [ Alan ]
  * Fix reference to unassigned variable if the device has no size.

 -- intrigeri <intrigeri@boum.org>  Sat, 04 Jul 2015 19:47:08 +0200

liveusb-creator (3.11.6+tails1-18) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Sat, 02 May 2015 21:25:30 +0200

liveusb-creator (3.11.6+tails1-17) stable; urgency=medium

  * Fix to Tails Installer tries to install to too small devices
  * Fix minor typo
  * Fix: installer lists devices after they have been unplugged
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 30 Mar 2015 14:43:32 +0200

liveusb-creator (3.11.6+tails1-16+jessie4) feature-jessie; urgency=medium

  * Use syslinux-amd64 on 64-bit platforms.
  * Stop using dbus.mainloop.qt: we don't use D-Bus ourselves anymore
    since we've switched to udisks2.
  * Remove build and runtime dependency on python-qt4-dbus: we don't use
    D-Bus ourselves anymore.
  * Fix buggy tests for text in exception message.
  * Add some debug output to help fix race conditions.
  * Add some ugly manual sleep and sync back, to help fix race conditions.

 -- intrigeri <intrigeri@boum.org>  Fri, 03 Jul 2015 18:32:16 +0200

liveusb-creator (3.11.6+tails1-16+jessie3) feature-jessie; urgency=medium

  [ Tails developers ]
  * Fix more regressions introduced by the port to UDisks v2:
    - Actually sets the ESP partition type on the system partition.
    - When updating the properties of an existing partition, be consistent
      with the way we do it at partition creation time.

  [ intrigeri ]
  * Point to upstream bug report whenever we workaround such bugs.
  * Add note for the glorious future when we'll use UDisks
    to create filesystems.

 -- Tails developers <tails@boum.org>  Sun, 15 Mar 2015 17:30:56 +0100

liveusb-creator (3.11.6+tails1-16+jessie2) feature-jessie; urgency=medium

  * Fix regressions introduced by the port to UDisks v2:
    - Fix "Clone and upgrade"
    - Fix device changes monitoring
    - Fix unmounting partition
  * Fix duplication of logging messages
  * Better format log messages
  * Cleanup logger setup
  * Research on setting partition flags with UDisks

 -- Tails developers <tails@boum.org>  Sun, 15 Mar 2015 11:50:46 +0100

liveusb-creator (3.11.6+tails1-16+jessie1) feature-jessie; urgency=medium

  * Port to UDisks2 GIR.
  * Adjust gbp.conf to make it easier to work on the Jessie branches.
  * Update dependencies to support the move to GIR.

 -- Tails developers <tails@boum.org>  Sat, 14 Mar 2015 12:33:23 +0100

liveusb-creator (3.11.6+tails1-16) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Mon, 23 Feb 2015 13:58:58 +0100

liveusb-creator (3.11.6+tails1-15) testing; urgency=medium

  * passin .po through POedit
  * Tails 1.1 translation
  * Fix: 7678 Tails Installer crashes on upgrade
  * Remove racy call to rescan_devices() after unmounting target device (Closes: Tails#6092).
  * updating translation of liveusb-creator
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <amnesia@boum.org>  Wed, 11 Feb 2015 19:35:57 +0100

liveusb-creator (3.11.6+tails1-14) stable; urgency=medium

  * Update UI status when a suitable device appears.
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 13 Jan 2015 18:08:09 +0100

liveusb-creator (3.11.6+tails1-13) stable; urgency=low

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 02 Dec 2014 10:02:55 +0100

liveusb-creator (3.11.6+tails1-12) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 15 Oct 2014 17:15:26 +0200

liveusb-creator (3.11.6+tails1-11) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 08 Oct 2014 21:05:17 +0200

liveusb-creator (3.11.6+tails1-10) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Sun, 31 Aug 2014 10:35:34 +0200

liveusb-creator (3.11.6+tails1-9) stable; urgency=medium

  * Give launcher window a close button.
  * Fix to Tails Installer should not run update_system_partition_properties on MBR partitions.

 -- Tails developers <tails@boum.org>  Thu, 28 Aug 2014 23:15:08 +0200

liveusb-creator (3.11.6+tails1-8) testing; urgency=medium

  * update translation for Tails 1.1
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Sun, 20 Jul 2014 20:40:04 +0200

liveusb-creator (3.11.6+tails1-7) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 01 Jul 2014 22:12:44 +0200

liveusb-creator (3.11.6+tails1-6) devel; urgency=medium

  * Install the bootloader using the syslinux binary found on the target device,
    once the Live OS has been extracted/copied there.
  * Add "utils" directory to the list of those we expect to find
    in the ISO filesystem.
  * Rename isolinux to syslinux in update_configs, instead of
    in install_bootloader.
  * Always reset the target drive's MBR, without asking for confirmation,
    after installing or upgrading.

 -- Tails developers <tails@boum.org>  Tue, 24 Jun 2014 11:31:57 +0200

liveusb-creator (3.11.6+tails1-5) devel; urgency=medium

  * Implement kurono's patch for #5673 in the .ui files.
  * Rearrange GUI so the titles are not partially hidden. (Closes: Tails#7319)
  * Add consistent margins.

 -- Tails developers <tails@boum.org>  Fri, 13 Jun 2014 19:54:18 +0200

liveusb-creator (3.11.6+tails1-4) devel; urgency=medium

  * Cleanup chunks of code that were commented-out a long time ago.
  * Fix comment to match current state of the code.
  * Move magic numbers to named constants.
  * On upgrade, turn the system partition into a EFI System Partition.
  * Drop duplicate representation of GUID's: Wheezy's sgdisk supports fully-specified GUID values.
  * Actually take into account the part_number parameter passed to _set_partition_flags.
  * Pass the device to modify to _set_partition_flags.
  * Update comment to match current state of our knowledge.
  * Pass a parent device (e.g. /dev/sdb) instead of a partition (e.g. /dev/sdb1) to sgdisk.
  * Clarify variable name and info message.
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 28 May 2014 16:02:26 +0200

liveusb-creator (3.11.6+tails1-3) devel; urgency=medium

  [ kurono ]
  * Bug #5673 - Wheezy: way too small fonts in Tails Installer

  [ Tails developers ]
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Fri, 16 May 2014 18:49:44 +0200

liveusb-creator (3.11.6+tails1-2) devel; urgency=medium

  * Create Tails system partition as an EFI System Partition.
  * Support paths used in syslinux 6.x.
  * Also rename isolinux.cfg to syslinux.cfg in EFI/BOOT.
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 13 May 2014 13:08:56 +0200

liveusb-creator (3.11.6+tails1-1) devel; urgency=medium

  * Integrate new logo
  * Regenerate QT UI files.
  * Regenerate "orig" tarball from current master branch, since the binary
    files update cannot be represented in the Debian delta. From now on,
    "upstream" means, from a Debian packaging point-of-view, the state of
    our master branch. Still, most of the time, we will be releasing -N
    "Debian"-specific packages, that really are packaged Git snapshots,
    rather than new "upstream" releases. Only when we really need it,
    we will update the "orig" tarball from our master branch.

 -- Tails developers <tails@boum.org>  Sun, 11 May 2014 12:17:53 +0200

liveusb-creator (3.11.6-33) devel; urgency=medium

  * Revert "Adjust gbp.conf to make it easier to work in the wheezy branch."
  * Rebuild for Debian Wheezy.

 -- Tails developers <tails@boum.org>  Thu, 01 May 2014 11:49:58 +0200

liveusb-creator (3.11.6-32) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Sun, 27 Apr 2014 19:15:21 +0200

liveusb-creator (3.11.6-31) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 16 Apr 2014 21:41:25 +0200

liveusb-creator (3.11.6-30) testing; urgency=medium

  * tails 0.23 translation
  * Wrap PO files we create/update.
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <amnesia@boum.org>  Mon, 17 Mar 2014 22:02:45 +0100

liveusb-creator (3.11.6-29) devel; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <amnesia@boum.org>  Thu, 06 Mar 2014 18:44:14 +0100

liveusb-creator (3.11.6-28) stable; urgency=medium

  * Import translations from Transifex.

 -- Tails developers <tails@boum.org>  Wed, 29 Jan 2014 14:21:55 +0100

liveusb-creator (3.11.6-27) stable; urgency=medium

  * Update French translation.

 -- Tails developers <tails@boum.org>  Fri, 10 Jan 2014 11:44:03 +0100

liveusb-creator (3.11.6-26) stable; urgency=medium

  * Fix typo: this FAT filesystem is case-sensitive, and our EFI directory is,
    indeed, called EFI.
  * Rebrand to "%(distribution)s Installer".
  * Update PyQT generated files.
  * Import translations from Transifex, unfuzz fr.po.

 -- Tails developers <tails@boum.org>  Fri, 10 Jan 2014 11:33:19 +0100

liveusb-creator (3.11.6-25) stable; urgency=medium

  [ kurono <andres.gomez@cern.ch> ]
  * Fix misbehaviour when the upgraded system is not complete
    (Closes: Tails#6437, Tails#6438).

  [ Tails developers ]
  * Remove now unused existing_liveos predicate.
  * Add 'efi' to the list of liveos_toplevel_files.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Sat, 21 Dec 2013 11:30:59 +0100

liveusb-creator (3.11.6-24) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Mon, 09 Dec 2013 15:19:01 +0100

liveusb-creator (3.11.6-23) devel; urgency=low

  * Use device size if parent_size is not set (Closes: Tails#6462).

 -- Tails developers <tails@boum.org>  Wed, 04 Dec 2013 15:28:39 +0100

liveusb-creator (3.11.6-22) devel; urgency=low

  * Add "tmp" to the liveos_toplevel_files list.
  * Import translations from Transifex.
  * Remove buggy tr.po translation.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Sat, 30 Nov 2013 15:23:44 +0100

liveusb-creator (3.11.6-21) devel; urgency=low

  * Replace "Create Live USB" with "Install Tails".
  * Use "device" consistently instead of once drive, once device.
  * Rename _format_bytes to precize its function
  * Display device size on upgrade
  * Update POT and PO files.
  * Import translations from Transifex.

 -- Tails developers <tails@boum.org>  Tue, 12 Nov 2013 13:36:45 +0100

liveusb-creator (3.11.6-20) devel; urgency=low

  * Make the system partition 2.5GB.

 -- Tails developers <tails@boum.org>  Tue, 12 Nov 2013 09:53:17 +0100

liveusb-creator (3.11.6-19) devel; urgency=low

  * Import updated and new translations from Transifex.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Thu, 17 Oct 2013 13:19:35 +0200

liveusb-creator (3.11.6-18) devel; urgency=low

  [ Tails developers ]
  * Support SDIO devices (Closes: Tails#6324):
    - Don't ignore devices connected to SDIO.
    - Support MMC block devices partition naming scheme.
    - Rebrand to "Tails installer".
    - Talk less of USB devices, and more of target devices.
    - Make the device choosing menu wide enough so that even long
      descriptions fit.

  [ sina ]
  * When cloning, don't copy .iso files (Closes: Tails#5300).

 -- Tails developers <tails@boum.org>  Mon, 14 Oct 2013 21:15:21 +0200

liveusb-creator (3.11.6-17) devel; urgency=low

  [ Tails developers ]
  * Store device as userData
  * Add vendor and model to drive infos
  * Display drive vendor and model
  * Factorize byte formatting
  * Display a confirmation dialog before the install
  * Factorize confirmation dialog
  * Display a confirmation dialog before upgrade too

 -- Tails developers <tails@boum.org>  Mon, 23 Sep 2013 16:44:36 +0000

liveusb-creator (3.11.6-16) stable; urgency=low

  * Update many translations from Transifex.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Mon, 09 Sep 2013 11:21:35 +0200

liveusb-creator (3.11.6-15) testing; urgency=low

  * Fix wrong method docstring.
  * Update POT and PO files.
  * Update French translation.

 -- Tails developers <tails@boum.org>  Wed, 07 Aug 2013 16:10:46 +0200

liveusb-creator (3.11.6-14) devel; urgency=low

  * Downgrade "Unable to write" message to debug level.
  * Downgrade "Some partitions are mounted" message to debug level.
  * Better balance verbosity vs. user experience in "Unmounting" messages.
  * Set verbose mode if the DEBUG environment variable is set to 1.
  * Always partition the device when in installation mode.
  * Print informational message before partitioning a device.

 -- Tails developers <tails@boum.org>  Tue, 30 Jul 2013 11:55:00 +0200

liveusb-creator (3.11.6-13) devel; urgency=low

  * Update & import translations from Transifex.

 -- Tails developers <tails@boum.org>  Thu, 13 Jun 2013 16:08:00 +0200

liveusb-creator (3.11.6-12) devel; urgency=low

  * Remove "run as root" check that was erroneously re-introduced by -11.

 -- Tails developers <tails@boum.org>  Fri, 03 May 2013 18:07:46 +0200

liveusb-creator (3.11.6-11) devel; urgency=low

  * New upstream release (3.11.8), but keeping 3.11.6 version number since our
    Debian packaging is totally messed up.
  * Update translations for Arabic, German, Greek, Hebrew, Spanish, Farsi,
    Finnish, Italian, Latvian, Dutch, Polish, Swedish and Chinese.

 -- Tails developers <tails@boum.org>  Fri, 03 May 2013 14:35:17 +0200

liveusb-creator (3.11.6-10) feature-live-boot-3.x; urgency=low

  * The running Live OS mountpoint is now /lib/live/mount/medium.

 -- Tails developers <tails@boum.org>  Thu, 11 Apr 2013 11:07:41 +0200

liveusb-creator (3.11.6-9) stable; urgency=low

  * Update translations: Arabic, French, German, Spanish, Finnish, Greek,
    Italian, Latvian, Dutch, Polish and Chinese.

 -- Tails developers <tails@boum.org>  Wed, 03 Apr 2013 10:17:37 +0200

liveusb-creator (3.11.6-8) stable; urgency=low

  * Drop dependency on python-parted: it's not used by any reachable code
    path anymore, and the new parted custom package we're going to ship
    soon conflicts with Squeeze's version of python-parted.

 -- Tails developers <tails@boum.org>  Sat, 23 Mar 2013 17:49:48 +0100

liveusb-creator (3.11.6-7) testing; urgency=low

  * New upstream release, but keeping 3.11.6 version number since our
    Debian packaging is totally messed up
    (todo/cleanup_liveusb-creator_packaging)
  * Redirect to correctly named action.
  * Update translations from Transifex: Arabic, Czech, German, Hebrew,
    Polish and Spanish.
  * Have the pot Makefile target copy the updated POT file to the one
    that is imported into Transifex.
  * Update POT and PO files.
  * Add Homepage, Vcs-Git and Vcs-Browser control fields.
  * Add watch file.

 -- Tails developers <tails@boum.org>  Thu, 14 Feb 2013 16:10:07 +0100

liveusb-creator (3.11.6-6) devel; urgency=low

  * Fix typo in the Debian maintainer's name.
  * Import new translations (Basque and Latvian) from Transifex.

 -- Tails developers <tails@boum.org>  Thu, 13 Dec 2012 09:44:16 +0100

liveusb-creator (3.11.6-5) testing; urgency=low

  * Import Bulgarian translation from Transifex.

 -- Tails developers <tails@boum.org>  Sun, 25 Nov 2012 11:20:23 +0100

liveusb-creator (3.11.6-4) devel; urgency=low

  * Russian language updates from NDI.
  * Import completed translations from Transifex: el, es, it, nl.

 -- Tails developers <tails@boum.org>  Wed, 14 Nov 2012 15:17:53 +0100

liveusb-creator (3.11.6-3) unstable; urgency=low

  * Update link to local documentation.
  * Update Qt resource files.
  * Update POT and PO files.
  * Imported updated pt_BR translation.
  * Use typed empty arrays when calling DBus methods

 -- Tails developers <tails@boum.org>  Sat, 06 Oct 2012 19:06:45 +0200

liveusb-creator (3.11.6-2) unstable; urgency=low

  * Fix format string that blocked cloning under certain conditions.

 -- Tails developers <tails@boum.org>  Tue, 24 Apr 2012 17:01:38 +0200

liveusb-creator (3.11.6-1) unstable; urgency=low

  [ Luke Macken ]
  * New upstream release 3.11.6

  [ Jean-François Fortin Tam ]
  * Use the power of unicode to avoid choking on French partitions

  [ Tails developers ]
  * Updated POT and PO files.
  * Import updated translations.
  * Support running from outside of a Debian Live system.
  * Add missing dependency on genisoimage, that provides the isoinfo program.
  * Fix link to local documentation.
  * Fix typo.

 -- Tails developers <tails@boum.org>  Mon, 16 Apr 2012 17:47:06 +0200

liveusb-creator (3.11.4-10) unstable; urgency=low

  * Fix "French translated button text does not fit".
  * Fix typo.
  * Don't list LUKS-encrypted partitions in possible target devices list.

 -- Tails developers <tails@boum.org>  Thu, 22 Mar 2012 15:31:01 +0100

liveusb-creator (3.11.4-9) unstable; urgency=low

  * Empty the drivebox every time we're going to add the drives list to it.
  * Better report when an unreadable ISO file was selected.
  * Fix LocalIsoSource constructor exception handling.
  * Import fr.po.

 -- Tails developers <tails@boum.org>  Mon, 19 Mar 2012 09:32:05 +0100

liveusb-creator (3.11.4-8) unstable; urgency=low

  * Update PO files.

 -- Tails developers <tails@boum.org>  Fri, 09 Mar 2012 18:15:39 +0100

liveusb-creator (3.11.4-7) unstable; urgency=low

  * Disable startup notification.
  * Also partition devices whose partition table is not readable.
  * Clear unreadable partition tables before partitioning the device.
  * Add unified launcher.
  * Replace the three launchers with the launcher's one.

 -- Tails developers <tails@boum.org>  Fri, 09 Mar 2012 17:51:47 +0100

liveusb-creator (3.11.4-6) unstable; urgency=low

  * Fix more l10n string formatting.
  * Update PO and POT files.
  * Import translation.
  * Skip running device when enumerating possible target devices.

 -- intrigeri <intrigeri@debian.org>  Thu, 09 Feb 2012 17:17:48 +0100

liveusb-creator (3.11.4-5) unstable; urgency=low

  * Make a few more strings translatable.
  * Fix l10n string formatting syntax.

 -- intrigeri <intrigeri@debian.org>  Thu, 09 Feb 2012 13:06:11 +0100

liveusb-creator (3.11.4-4) unstable; urgency=low

  * Take into account the persistence checkbox disappeared.

 -- intrigeri <intrigeri@debian.org>  Thu, 09 Feb 2012 12:12:25 +0100

liveusb-creator (3.11.4-3) unstable; urgency=low

  * Improve l10n-ability, fix many l10n bugs.
  * Tell gettext to recognize translate_and_brand as introducing a translatable string.
  * Update Qt -generated Python files.
  * Update PO and POT files.
  * Turn all notes for translators into named format string arguments.
  * Import translations.

 -- intrigeri <intrigeri@debian.org>  Thu, 09 Feb 2012 09:28:14 +0100

liveusb-creator (3.11.4-2) unstable; urgency=low

  * Add a third launcher: upgrade non-running system from the running one.
  * Specially treat the case when the unknown target filesystem is iso9660.
  * Also pass -x in the third desktop file.
  * Log info message when running sync.
  * Success dialog: do not suggest we support installing several times in a row.
  * Don't propose installing onto children of the currently running device.
  * Fix breakage when destination device is unmounted twice.
  * Fix logics in the upgrade code path.
  * Remove deprecated Encoding key from .desktop files.
  * Add a Main category (i.e. System) to the .desktop files.
  * Explicitly specify 1.0 source format.
  * Build-depend on debhelper (>= 7.0.50~).
  * Build-depend on python rather than python-dev.
  * Fix debian/copyright.
  * Override some Lintian false positives.
  * Add myself to uploaders.
  * Don't use bootable_partition at all.
  * Fix help.
  * Add, build and install manpage.
  * Fix string formatting.
  * Update PO files.

 -- intrigeri <intrigeri@debian.org>  Thu, 02 Feb 2012 11:25:00 +0100

liveusb-creator (3.11.4-2~2.gbp1865a3) UNRELEASED; urgency=low

  ** SNAPSHOT build @1865a3a2b787d30f3bfa2b12ceb6bd1cbde0f04e **

  [ Tails developers ]
  * New snapshot.
  * Update .pot/.po files.
  * Don't show persistence slider when persistence is disabled.
  * Pass the -x argument to disable OLPC support.
  * Remove a check that should be implemented in the subclasses.
  * Fix a badly formatted translation string.
  * Show a message box when installation succeded.
  * Fix mki18n.py
  * Generate new po translation files.

 -- Tails developpers <tails@boum.org>  Sat, 17 Dec 2011 18:59:30 +0100

liveusb-creator (3.11.4-2~1.gbp6e1d0a) UNRELEASED; urgency=low

  ** SNAPSHOT build @6e1d0adb9b4e24a08e4413758fef318605aa1f16 **

  [ Tails developers ]
  * Install two launchers that match the main Tails usecases.

 -- intrigeri <intrigeri+debian@boum.org>  Thu, 15 Dec 2011 02:30:13 +0100

liveusb-creator (3.11.4-1) UNRELEASED; urgency=low

  * New upstream version.
  * Add debian/copyright.
  * Add dependency on python-configobj.
  * Add gbp.conf.
  * Don't version build-dependency on python-distutils-extra.
  * Add missing dependencies.
  * Don't check if device fs is valid or not, it will be overwritten.
  * Only list USB block devices in the destination box, if none of their partitions are mounted.
  * Get notified if partitions are unmounted.
  * Import dbus once and for all
  * Only enumerate devices once to detect mounted partitions
  * Make mounted_partitions a set instead of a boolean
  * Implement --partition optional flag to enable full disk partinoning
  * Display device size in partinoning mode
  * Use udisk in LinuxLiveUSBCreator.unmount_device()
  * Have mounted_partitions field always be a set
  * Put udisk UDI in mounted_partitions instead of mountpoints
  * LinuxLiveUSBCreator.unmount_device() will now unmount all partitions for a device in partioning mode
  * Update debian/changelog
  * Make LiveUSBDialog.dialog() compatible with partitioning mode
  * Remove the (nonsense) --clone-medium option, rename --clone-running to --clone
  * Add missing dependency on mtools.
  * Allow disabling the download feature in config file.
  * Move toplevel settings on top.
  * Update fedora.ini with new config settings
  * Allow callers of LiveUSBCreator.popen() to override defaults for shell and stdin options
  * unmount_device(): always lookup mounted_partitions when mount is undef
  * Wait a sec in mount_device() to avoid race issues
  * Return None in get_free_bytes() if unable to determine device
  * Skip bootable_partition() in partitioning mode
  * Unmount partition before calling syslinux to avoid troubles
  * format_device() using udisks instead of mkfs.vfat
  * Implement partioning mode (or at least a first working version)
  * Also set sane permissions on the copied files when cloning.
  * Add running_liveos_mountpoint config setting + accessor method.
  * Remove the (nonsense) --clone-medium option, rename --clone-running to --clone
  * Add the underlying_physical_device function.
  * Source classes: add "dev" attribute.
  * Remove LiveMediumSource class.
  * Hide the device that is the source of the copy, don't warn if it is mounted.
  * Fix reset_mbr.
  * Update debian/changelog
  * Document why reset_mbr() and bootable_partition() are not implemented on Windows
  * Skip devices for which we have no write access
  * Update debian/changelog
  * Add missing dependency on gdisk
  * Raise the whole catched exception.
  * That error condition can happen for many non-encoding-related reasons.
  * Fix the "source ISO stored on a device UDisks does not support" case.
  * whitespaces
  * Implement configurable partition labels
  * Update debian/changelog
  * enable_widgets: enable the start button if all conditions are met and we're asked to enable widgets.
  * Disable widgets before running live_thread.
  * Factor out call to self.driveBox.addItem
  * Do not re-do partitioning on an already existing partition
  * Don't re-enable the driveBox after the "Create" button was clicked a first time.
  * Use mkfs until we can handle formating asynchronously
  * Don't re-populate devices list once the "Create" button was pressed.
  * Don't get the selected drive again if we already did it once.
  * Update debian/changelog
  * Decode/encode every Popen call output to utf-8.
  * Implement persistence checkbox.
  * Disconnect from UDisks D-Bus signals the first time the "Create" button is hit.
  * Sleep a bit between format and mount.
  * Remove unneeded import.
  * Make persistence checkbox a config option.
  * Add another 1s sleep to workaround segfault on a test machine.
  * Remove QPixmap proxy from pyuic4_custom
  * Update debian/changelog
  * Go back to 1.0 source format.
  * Don't ask to confirm before resetting the MBR when --partition is passed.
  * Make the .desktop file more generic.
  * Recommend extlinux instead of depending on it.

 -- Tails developers <tails@boum.org>  Tue, 13 Dec 2011 14:13:00 +0100

liveusb-creator (3.11.1-1) UNRELEASED; urgency=low

  * Initial non-release.

 -- Tails developpers <tails@boum.org>  Fri, 17 Jun 2011 18:07:58 +0200
